> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Invoice Extra Field Configs

GET https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields

Get invoice extra field configs

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/invoice/get-invoices-extra-fields

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Query parameters

- `offset` (integer, optional, default: 0) — The number of items to skip before starting to collect the result set.
- `limit` (integer, optional, default: 10) — The maximum number of results to return.

## Response

### 200

OK

- `code` (integer, optional) — Response code of success request.
- `meta` (InvoicesExtraFieldsGetResponsesContentApplicationJsonSchemaMeta, optional) — Used to response pagination information
- `data` (list of extraFieldConfig, optional)

## Types

### InvoicesExtraFieldsGetResponsesContentApplicationJsonSchemaMeta

Used to response pagination information

- `message` (string, optional)
- `pagination` (InvoicesExtraFieldsGetResponsesContentApplicationJsonSchemaMetaPagination, optional)

### extraFieldConfig

An extra field configuration for invoices.

- `id` (integer, optional) — The unique numeric ID for the extra field.
- `uuid` (string, optional) — UUID of the extra field assigned by B2B Edition.
- `fieldName` (string, optional) — The name of the extra field.
- `labelName` (string, optional) — The label shown for the extra field. Defaults to `fieldName`.
- `fieldType` (enum, optional) — The data type allowed by the extra field. The supported types are text (`0`), multiline text (`1`), number (`2`), and dropdown (`3`).
  - Allowed values: `0`, `1`, `2`, `3`
- `isRequired` (boolean, optional) — Indicates whether the extra field requires a value.
- `isUnique` (boolean, optional) — Indicates whether the extra field's value must be unique when present.
- `visibleToEnduser` (boolean, optional) — Indicates whether the extra field is visible on the storefront.
- `configType` (enum, optional) — Indicates whether the extra field is built in (`1`) or user defined (`2`).
  - Allowed values: `1`, `2`
- `defaultValue` (string, optional) — The default value the extra field takes, if it exists.
- `maximumLength` (string, optional) — The maximum character length for text extra fields. Only present when `fieldType` is `0`.
- `numberOfRows` (string, optional) — The maximum number of rows for multiline text extra fields. Only present when `fieldType` is `1`.
- `maximumValue` (string, optional) — The maximum value of number extra fields. Only present when `fieldType` is `2`.
- `listOfValue` (list of string, optional) — The list of values for dropdown extra fields. Only present when `fieldType` is `3`.

### InvoicesExtraFieldsGetResponsesContentApplicationJsonSchemaMetaPagination

- `limit` (integer, optional) — Pagination limit default: 10
- `offset` (integer, optional) — Pagination offset default: 0
- `totalCount` (integer, optional) — The total number of the all data

## Examples

**Response**

```json
{
  "code": 200,
  "meta": {
    "message": "SUCCESS",
    "pagination": {
      "limit": 10,
      "offset": 0,
      "totalCount": 998
    }
  },
  "data": [
    {
      "id": 101,
      "uuid": "a3f1c9e2-4b7d-4f8a-9c2e-5d6b7f8a9c0d",
      "fieldName": "Customer PO Number",
      "labelName": "Customer PO Number",
      "fieldType": 0,
      "isRequired": true,
      "isUnique": false,
      "visibleToEnduser": true,
      "configType": 1,
      "defaultValue": "N/A",
      "maximumLength": "50"
    }
  ]
}
```

**SDK Code**

```python Invoice_get-invoices-extra-fields_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Invoice_get-invoices-extra-fields_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Invoice_get-invoices-extra-fields_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Invoice_get-invoices-extra-fields_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Invoice_get-invoices-extra-fields_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Invoice_get-invoices-extra-fields_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Invoice_get-invoices-extra-fields_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Invoice_get-invoices-extra-fields_example
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/extra-fields")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```